## r-cran-rcpphnsw 0.3.0.9001+ds

=== DESCRIPTION ===
Package: RcppHNSW
Title: 'Rcpp' Bindings for 'hnswlib', a Library for Approximate Nearest Neighbors
Version: 0.3.0.9001
Authors@R: c(person("James", "Melville", email = "jlmelville@gmail.com", 
  role = c("aut", "cre")), 
  person("Aaron", "Lun", role = "ctb"), 
  person("Samuel", "Granjeaud", role = "ctb"),
  person("Dmitriy", "Selivanov", role = "ctb"),
  person("Yuxing", "Liao", role = "ctb"))
Description: 'Hnswlib' is a C++ library for Approximate Nearest Neighbors. This 
 package provides a minimal R interface by relying on the 'Rcpp' package. See 
 <https://github.com/nmslib/hnswlib> for more on 'hnswlib'. 'hnswlib' is 
 released under Version 2.0 of the Apache License.
License: GPL (>= 3)
URL: https://github.com/jlmelville/rcpphnsw
BugReports: https://github.com/jlmelville/rcpphnsw/issues
Encoding: UTF-8
LazyData: true
Imports: methods, Rcpp (>= 0.11.3)
LinkingTo: Rcpp
RoxygenNote: 7.1.1
Suggests: testthat,
    covr

=== debian/changelog ===
r-cran-rcpphnsw (0.3.0.9001+ds-1) unstable; urgency=medium

  * Initial release (closes: #966546)

    Upstream fixed License entry in DESCRIPTION file.

 -- Steffen Moeller <moeller@debian.org>  Sat, 19 Sep 2020 21:12:42 +0200

r-cran-rcpphnsw (0.3.0.9000+ds-1) unstable; urgency=medium

  * Revised upload.

    Upstream received OK from RcppParallel to redistribute his derivative
    work as GPL-2 or later, which is compatible with the GPL-3 or later
    he chooses for his code base.

    See https://github.com/jlmelville/rcpphnsw/issues/13 for details, also
    on the License line that still declares GPL-3, not GPL (>= 3).

 -- Steffen Moeller <moeller@debian.org>  Sat, 19 Sep 2020 20:47:57 +0200

r-cran-rcpphnsw (0.3.0+ds-1) UNRELEASED; urgency=medium

  * Initial upload had conflicting copyright information.

    Thanks go to Thorsten for spotting that.

 -- Steffen Moeller <moeller@debian.org>  Sun, 06 Sep 2020 15:09:12 +0200

=== debian/control ===
Source: r-cran-rcpphnsw
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-rcpp,
               libhnswlib-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rcpphnsw
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rcpphnsw.git
Homepage: https://cran.r-project.org/package=RcppHNSW
Rules-Requires-Root: no

Package: r-cran-rcpphnsw
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: R bindings for a Library for Approximate Nearest Neighbors
 'Hnswlib' is a C++ library for Approximate Nearest Neighbors. This
 package provides a minimal R interface by relying on the 'Rcpp' package. See
 <https://github.com/nmslib/hnswlib> for more on 'hnswlib'. 'hnswlib' is
 released under Version 2.0 of the Apache License.

=== debian/watch ===
version=4

#opts="repack,repacksuffix=+ds,dversionmangle=auto,compression=xz" \
# https://cloud.r-project.org/src/contrib/RcppHNSW_([-\d.]*)\.tar\.gz

# Upstream kindly prepared fixes that will appear on CRAN only with the
# next official release.
opts="repack,repacksuffix=+ds,dversionmangle=auto,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%rcpphnsw-$1.tar.gz%" \
   https://github.com/jlmelville/rcpphnsw/releases \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## r-cran-rcpphnsw 0.4.1+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: RcppHNSW
 Title: 'Rcpp' Bindings for 'hnswlib', a Library for Approximate Nearest Neighbors
-Version: 0.3.0.9001
+Version: 0.4.1
 Authors@R: c(person("James", "Melville", email = "jlmelville@gmail.com", 
   role = c("aut", "cre")), 
   person("Aaron", "Lun", role = "ctb"), 
@@ -15,9 +15,8 @@
 URL: https://github.com/jlmelville/rcpphnsw
 BugReports: https://github.com/jlmelville/rcpphnsw/issues
 Encoding: UTF-8
-LazyData: true
 Imports: methods, Rcpp (>= 0.11.3)
 LinkingTo: Rcpp
-RoxygenNote: 7.1.1
+RoxygenNote: 7.2.0
 Suggests: testthat,
     covr

=== debian/changelog ===
r-cran-rcpphnsw (0.4.1+ds-2) unstable; urgency=medium

  * Team upload.
  * Fix watch file

 -- Andreas Tille <tille@debian.org>  Tue, 06 Dec 2022 15:17:09 +0100

r-cran-rcpphnsw (0.4.1+ds-1) unstable; urgency=medium

  * Team upload.
  * Cleanup pre-upload history from d/changelog
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 20 Jul 2022 07:10:08 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                r-base-dev,
                r-cran-rcpp,
                libhnswlib-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rcpphnsw
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rcpphnsw.git
 Homepage: https://cran.r-project.org/package=RcppHNSW

## r-cran-rcpphnsw 0.5.0+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Package: RcppHNSW
-Title: 'Rcpp' Bindings for 'hnswlib', a Library for Approximate Nearest Neighbors
-Version: 0.4.1
+Title: 'Rcpp' Bindings for 'hnswlib', a Library for Approximate Nearest
+        Neighbors
+Version: 0.5.0
 Authors@R: c(person("James", "Melville", email = "jlmelville@gmail.com", 
   role = c("aut", "cre")), 
   person("Aaron", "Lun", role = "ctb"), 
@@ -17,6 +18,15 @@
 Encoding: UTF-8
 Imports: methods, Rcpp (>= 0.11.3)
 LinkingTo: Rcpp
-RoxygenNote: 7.2.0
-Suggests: testthat,
-    covr
+RoxygenNote: 7.2.3
+Suggests: testthat, covr
+NeedsCompilation: yes
+Packaged: 2023-09-19 00:18:51 UTC; james
+Author: James Melville [aut, cre],
+  Aaron Lun [ctb],
+  Samuel Granjeaud [ctb],
+  Dmitriy Selivanov [ctb],
+  Yuxing Liao [ctb]
+Maintainer: James Melville <jlmelville@gmail.com>
+Repository: CRAN
+Date/Publication: 2023-09-19 03:50:02 UTC

=== debian/changelog ===
r-cran-rcpphnsw (0.5.0+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 16 Oct 2023 11:18:40 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                r-base-dev,
                r-cran-rcpp,
                libhnswlib-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rcpphnsw
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rcpphnsw.git
 Homepage: https://cran.r-project.org/package=RcppHNSW

=== debian/watch ===
version=4

opts="repacksuffix=+ds,dversionmangle=auto" \
 https://cloud.r-project.org/src/contrib/RcppHNSW_([-\d.]*)\.tar\.gz

# Upstream kindly prepared fixes that will appear on CRAN only with the
# next official release.
#opts="repack,repacksuffix=+ds,dversionmangle=auto,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%rcpphnsw-$1.tar.gz%" \
#   https://github.com/jlmelville/rcpphnsw/tags \
#   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## r-cran-rcpphnsw 0.6.0+ds

=== DESCRIPTION ===
Package: RcppHNSW
Title: 'Rcpp' Bindings for 'hnswlib', a Library for Approximate Nearest
        Neighbors
Version: 0.6.0
Authors@R: c(
    person("James", "Melville", , "jlmelville@gmail.com", role = c("aut", "cre", "cph")),
    person("Aaron", "Lun", role = "ctb"),
    person("Samuel", "Granjeaud", role = "ctb"),
    person("Dmitriy", "Selivanov", role = "ctb"),
    person("Yuxing", "Liao", role = "ctb")
  )
Description: 'Hnswlib' is a C++ library for Approximate Nearest Neighbors.
    This package provides a minimal R interface by relying on the 'Rcpp'
    package. See <https://github.com/nmslib/hnswlib> for more on
    'hnswlib'. 'hnswlib' is released under Version 2.0 of the Apache
    License.
License: GPL (>= 3)
URL: https://github.com/jlmelville/rcpphnsw
BugReports: https://github.com/jlmelville/rcpphnsw/issues
Imports: methods, Rcpp (>= 0.11.3)
Suggests: covr, testthat
LinkingTo: Rcpp
Encoding: UTF-8
RoxygenNote: 7.3.1
NeedsCompilation: yes
Packaged: 2024-02-04 03:54:54 UTC; jlmel
Author: James Melville [aut, cre, cph],
  Aaron Lun [ctb],
  Samuel Granjeaud [ctb],
  Dmitriy Selivanov [ctb],
  Yuxing Liao [ctb]
Maintainer: James Melville <jlmelville@gmail.com>
Repository: CRAN
Date/Publication: 2024-02-04 05:40:02 UTC

=== debian/changelog ===
r-cran-rcpphnsw (0.6.0+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * Refresh debian/patches/useDebiansHnswlib.patch

 -- Charles Plessy <plessy@debian.org>  Fri, 31 Jan 2025 11:22:06 +0900

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                r-base-dev,
                r-cran-rcpp,
                libhnswlib-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rcpphnsw
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rcpphnsw.git
 Homepage: https://cran.r-project.org/package=RcppHNSW
